Bug 1256521 - kde-connect Failed to execute program org.kde.kdeconnect: Success
kde-connect Failed to execute program org.kde.kdeconnect: Success
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kde-connect (Show other bugs)
22
All Linux
medium Severity medium
: ---
: ---
Assigned To: Helio Chissini de Castro
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 16:00 EDT by Sudhir Khanger
Modified: 2015-12-02 09:24 EST (History)
10 users (show)

See Also:
Fixed In Version: kde-connect-0.8-8.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-27 12:51:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kcmshell5 kcm_kdeconnect screenshot (38.15 KB, image/png)
2015-08-26 02:29 EDT, Sudhir Khanger
no flags Details

  None (edit)
Description Sudhir Khanger 2015-08-24 16:00:06 EDT
Description of problem: kde-connect stopped working after latest update to 0.8.6.

[sudhir@fedora ~]$ /usr/bin/kdeconnect-cli -l
- : Failed to execute program org.kde.kdeconnect: Success 
1 device found


Version-Release number of selected component (if applicable):
kde-connect-0.8-6.fc22.x86_64

How reproducible: always


Steps to Reproduce:
1. update to  0.8.6
2.
3.
Comment 1 Sudhir Khanger 2015-08-26 02:29:35 EDT
Created attachment 1067147 [details]
kcmshell5 kcm_kdeconnect screenshot

More info from discussion on IRC

$ kcmshell5 kcm_kdeconnect
kdeconnect.interfaces: dbus interface not valid

$ rpm -qa | grep kde-connect
kde-connect-0.8-6.fc22.x86_64
kde-connect-libs-0.8-6.fc22.x86_64

$ qdbus | grep connect
NO OUTPUT

$ rpm -V kde-connect
NO OUTPUT

$ ls /usr/share/dbus-1/services/ | grep -i connect
org.freedesktop.Telepathy.ConnectionManager.gabble.service
org.freedesktop.Telepathy.ConnectionManager.haze.service
org.freedesktop.Telepathy.ConnectionManager.salut.service
org.freedesktop.Telepathy.ConnectionManager.sofiasip.service
org.kde.kdeconnect.service

$ grep kcm_kdeconnect /usr/share/dbus-1/services/*
NO OUTPUT

$ kcmshell5 --list | grep -i connect
kcm_kdeconnect             - Connect and sync your devices
solid-actions              - Manage actions available to the user when connecting new devices
Comment 2 j.gjorgji 2015-08-26 06:27:34 EDT
I have the same issue, output of commands is nearly identical to Sudhir except i have the IM stuff removed so there's no entries in /usr/share/dbus-1/services/
Comment 3 Helio Chissini de Castro 2015-08-26 09:24:35 EDT
I'll be trying to reproduce it here on a F22 default.

Regards
Comment 4 Helio Chissini de Castro 2015-08-27 11:15:33 EDT
Hello all

Can you test this update of kde-connect from copr:
https://copr.fedoraproject.org/coprs/heliocastro/kde-connect/

Changes are minimal, but a fresh install from Fedora 22 with updates works without problems.

If this not works, then we need to investigate further.

Thanks
Comment 5 Sudhir Khanger 2015-08-27 11:59:02 EDT
Helio, it works now. Thanks for looking into it.

I still can't mount the storage in Dolphin. But that might be unrelated to this issue. Does mounting of storage in Dolphin work for you?
Comment 6 Rex Dieter 2015-08-27 12:46:09 EDT
dnf install kde-connect-kde4-iosloave

for dolphin support.
Comment 7 Rex Dieter 2015-08-27 12:46:36 EDT
typo alert, make that:  kde-connect-kde4-ioslave
Comment 8 Helio Chissini de Castro 2015-08-27 12:51:40 EDT
Hello

I'll submit for updates then.
Credits goes to Rex to spot a fail on the start.

[]'s
Comment 9 Sudhir Khanger 2015-08-28 03:44:13 EDT
Rex I see folders now but they can't be loaded.

The file or folder /home/sudhir/.config/kdeconnect/d477ae1c3621c304/kdeconnect_sftp/d477ae1c3621c304/storage/emulated/0 does not exist.

The file or folder /home/sudhir/.config/kdeconnect/d477ae1c3621c304/kdeconnect_sftp/d477ae1c3621c304/storage/emulated/0/DCIM/Camera does not exist.
Comment 10 Rex Dieter 2015-08-28 06:30:06 EDT
Then that's a different/new bug
Comment 12 Remy Nicolaï 2015-12-02 03:46:09 EST
(In reply to Rex Dieter from comment #11)
> See:
> https://bodhi.fedoraproject.org/updates/FEDORA-2015-14431

I am using kde-connect  and kde-connect-kde4-ioslave 0.8-9.fc22 and can't browse the folders on the phone (comment 9)
Comment 13 Rex Dieter 2015-12-02 08:21:29 EST
And kde-connect-0.9 ?

https://bodhi.fedoraproject.org/updates/FEDORA-2015-3826a814af
Comment 14 Remy Nicolaï 2015-12-02 09:24:46 EST
(In reply to Rex Dieter from comment #13)
> And kde-connect-0.9 ?
> 
> https://bodhi.fedoraproject.org/updates/FEDORA-2015-3826a814af

I just have upgraded the 4 packages to 0.9-2.fc22 from the test repo but the problem remains.

I don't know if relevant,just in case: android 4.4.2 on the phone.

Note You need to log in before you can comment on or make changes to this bug.